Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members Related Pages

# ImportableImageI Class Reference

Importable image interface. More...

`#include <ImportableImageI.h>`

Inheritance diagram for ImportableImageI:

List of all members.

## Public Member Functions
virtual PluginClass::SuperClassIdC | get_super_class_id ()
| Returns the super class ID.
virtual PajaTypes::float32 | get_width ()=0
| Returns width of the image in pixels.
virtual PajaTypes::float32 | get_height ()=0
| Returns height of the image in pixels.
virtual PajaTypes::int32 | get_data_width ()=0
| Returns width of the image data in pixels.
virtual PajaTypes::int32 | get_data_height ()=0
| Returns height of the image data in pixels.
virtual PajaTypes::int32 | get_data_pitch ()=0
| Returns pitch of the image, pitch is the actual length of scanline in pixels.
virtual PajaTypes::int32 | get_data_bpp ()=0
| Return bits per pixel.
virtual PajaTypes::uint8 * | get_data ()=0
| Returns pointer to the imagedata.
virtual void | bind_texture (PajaSystem::DeviceInterfaceI *pInterface, PajaTypes::uint32 ui32Properties)=0
| Binds texture to the given device.
## Protected Member Functions
| ImportableImageI ()
| Default constructor.
| ImportableImageI (Edit::EditableI *pOriginal)
| Constructor with reference to the original.
virtual | ~ImportableImageI ()
| Default destructor.

## Detailed Description

Importable image interface.

This interface, derived from ImportableI, implements super class for image importers. There are set of methods which enables to get the information of the image and to bind it (set as active image) on specified device.

The dimension of a single pixel in the image is determined from the physical size of the image (get_width(), get_heigt()) and the data size of the image (get_data_width(), get_data_height()). This enables the image to be resized to fit the underlying rendering API an still has correct size compared to the original image.

## Constructor & Destructor Documentation

ImportableImageI | ( |  | ) | `[protected]`

| Default constructor.

ImportableImageI | ( | Edit::EditableI * | pOriginal | ) | `[protected]`

| Constructor with reference to the original.

virtual ~ImportableImageI | ( |  | ) | `[protected, virtual]`

| Default destructor.

## Member Function Documentation

virtual void bind_texture | ( | PajaSystem::DeviceInterfaceI * | pInterface,
|  | PajaTypes::uint32 | ui32Properties
| ) | `[pure virtual]`

| Binds texture to the given device.

virtual PajaTypes::uint8* get_data | ( |  | ) | `[pure virtual]`

| Returns pointer to the imagedata.

virtual PajaTypes::int32 get_data_bpp | ( |  | ) | `[pure virtual]`

| Return bits per pixel.

virtual PajaTypes::int32 get_data_height | ( |  | ) | `[pure virtual]`

| Returns height of the image data in pixels.

virtual PajaTypes::int32 get_data_pitch | ( |  | ) | `[pure virtual]`

| Returns pitch of the image, pitch is the actual length of scanline in pixels.

virtual PajaTypes::int32 get_data_width | ( |  | ) | `[pure virtual]`

| Returns width of the image data in pixels.

virtual PajaTypes::float32 get_height | ( |  | ) | `[pure virtual]`

| Returns height of the image in pixels.

virtual PluginClass::SuperClassIdC get_super_class_id | ( |  | ) | `[virtual]`

| Returns the super class ID. Implements ImportableI.

virtual PajaTypes::float32 get_width | ( |  | ) | `[pure virtual]`

| Returns width of the image in pixels.